Subject: Re: What is the oldest perl version being used with the kernel ? update oldest supported to 5.14 ?

From: Willy Tarreau <[email-masked]>
Date: Fri, 20 Aug 2021 19:33:36 +0200

On Fri, Aug 20, 2021 at 10:27:59AM -0700, Joe Perches wrote:
> Perl 5.8 is nearly 20 years old now.
> 
> https://en.wikipedia.org/wiki/Perl_5_version_history
> 
> checkpatch uses regexes that are incompatible with perl versions
> earlier than 5.10, but these uses are currently runtime checked
> and skipped if the perl version is too old.  This runtime checking
> skips several useful tests.
> 
> There is also some desire for tools like kernel-doc, checkpatch and
> get_maintainer to use a common library of regexes and functions:
> https://lore.kernel.org/lkml/[email-masked]/
> 
> It'd be useful to set the minimum perl version to something more modern.
> 
> I believe perl 5.14, now only a decade old, is a reasonable target.
> 
> Any objections or suggestions for a newer minimum version?

It's probably reasonable, even the Slackware 14.2 on my home PC, which
is starting to date, ships a 5.22.

Willy